## Apache Zeta Components Manual :: Docs For Class ezcLogWriter

### EventLog::ezcLogWriter

### Interface ezcLogWriter

ezcLogWriter defines the common interface for all classes that implement their log writer.

See the ezcLogFileWriter for an example of creating your own log writer.

Source for this file: /EventLog/src/interfaces/writer.php

Version: | //autogentag//

### Method Summary

public void | `writeLogMessage( $message , $severity , $source , $category , [ $optional = array()] )` Writes the message $message to the log.

### Methods

#### writeLogMessage

void writeLogMessage( string $message , int $severity , string $source , string $category , [array(string=>string) $optional = array()] )

Writes the message $message to the log.

The writer can use the severity, source, and category to filter the incoming messages and determine the location where the messages should be written.

The array $optional contains extra information that can be added to the log. For example: line numbers, file names, usernames, etc.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |
`$severity` | int | ezcLog::DEBUG, ezcLog::SUCCESS_AUDIT, ezcLog::FAILED_AUDIT, ezcLog::INFO, ezcLog::NOTICE, ezcLog::WARNING, ezcLog::ERROR or ezcLog::FATAL.
`$source` | string |
`$category` | string |
`$optional` | array(string=>string) |

##### Exceptions:

Type | Description
--- | ---
`ezcLogWriterException` | If the log writer was unable to write the log message

Documentation generated by phpDocumentor 1.4.3